## qubes-desktop-linux-manager 4.3.8

=== debian/changelog ===
qubes-desktop-linux-manager (4.3.8-1+noble1) noble; urgency=medium

  * Build for noble

 -- Builder <user@localhost>  Sun, 12 Jan 2025 00:53:25 +0100

qubes-desktop-linux-manager (4.3.8-1) unstable; urgency=medium

  [ Ali Mirjamali ]
  * Show progress bar after loading CSS theme

  [ Marta Marczykowska-Górecka ]
  * Fix test error

  [ Frédéric Pierret (fepitre) ]
  * Reformat code with python-black
  * Make pylint happy after reformat

  [ Demi Marie Obenour ]
  * updater: make UpdateListIter a proper iterator

  [ Marta Marczykowska-Górecka ]
  * Don't change combobox on mouse scroll

  [ Frédéric Pierret (fepitre) ]
  * Rework domains widget
  * domains: use custom metaclass for ActionMenuItem
  * Remove enforced extra space on the menu

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sun, 12 Jan 2025 00:53:25 +0100

## qubes-desktop-linux-manager 4.3.9

=== debian/changelog ===
qubes-desktop-linux-manager (4.3.9-1+noble1) noble; urgency=medium

  * Build for noble

 -- Builder <user@localhost>  Mon, 17 Feb 2025 19:22:49 +0100

qubes-desktop-linux-manager (4.3.9-1) unstable; urgency=medium

  [ Ali Mirjamali ]
  * Mark inactive "create" button as gray

  [ Marta Marczykowska-Górecka ]
  * Fix setting VM label in domains widgets in some circumstances
  * New and improved icons
  * Improved Global Config
  * Make qui-* icons gray
  * Improve dark mode readability, make icons more neutral

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Mon, 17 Feb 2025 19:22:49 +0100

## qubes-desktop-linux-manager 4.3.10

=== debian/changelog ===
qubes-desktop-linux-manager (4.3.10-1+noble1) noble; urgency=medium

  * Build for noble

 -- Builder <user@localhost>  Sat, 15 Mar 2025 03:44:57 +0100

qubes-desktop-linux-manager (4.3.10-1) unstable; urgency=medium

  [ Ali Mirjamali ]
  * Make updater width enoguh for update details

  [ Demi Marie Obenour ]
  * Make the widgets work in KDE Wayland session

  [ Marcus Ofenhed ]
  * Added root terminal to Domains tray icon menu

  [ Ali Mirjamali ]
  * Mark VMs with `prohibit-start` feature in updater
  * Assure Update window width does not break OpenQA

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sat, 15 Mar 2025 03:44:57 +0100

## qubes-desktop-linux-manager 4.3.12

=== debian/changelog ===
qubes-desktop-linux-manager (4.3.12-1+noble1) noble; urgency=medium

  * Build for noble

 -- Builder <user@localhost>  Fri, 09 May 2025 04:14:15 +0200

qubes-desktop-linux-manager (4.3.12-1) unstable; urgency=medium

  [ Ali Mirjamali ]
  * Add Debug Console to Qui Domains systray widget

  [ Ben Grande ]
  * Handle internal feature in Qui Domains

  [ Rusty Bird ]
  * Fix outdated status of disposables

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Fri, 09 May 2025 04:14:15 +0200

qubes-desktop-linux-manager (4.3.11-1) unstable; urgency=medium

  [ Ali Mirjamali ]
  * Center Global Config after window resize

  [ ooops ]
  * Clarify updater settings

  [ kennethrrosen ]
  * Update qui/updater.glade

  [ Ali Mirjamali ]
  * Maximize Updater GUI on openQA display
  * Fix `prohibit-start` selection & tooltip

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Tue, 25 Mar 2025 04:14:24 +0100

## qubes-desktop-linux-manager 4.3.13

=== debian/changelog ===
qubes-desktop-linux-manager (4.3.13-1+noble1) noble; urgency=medium

  * Build for noble

 -- Builder <user@localhost>  Mon, 02 Jun 2025 02:09:54 +0200

qubes-desktop-linux-manager (4.3.13-1) unstable; urgency=medium

  [ Ali Mirjamali ]
  * Allow user to save valid modified policy on 1st char
  * Exclude volatile DispVMs from Global Config

  [ Marek Marczykowski-Górecki ]
  * Use glib's native asyncio integration when available

  [ Ali Mirjamali ]
  * Add concurrent updates settings to tab-stops

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Mon, 02 Jun 2025 02:09:54 +0200

=== debian/control ===
Source: qubes-desktop-linux-manager
Section: admin
Priority: optional
Maintainer: Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>
Build-Depends:
 debhelper (>= 9),
 dh-python,
 python3-all,
 python3-gi (>= 3.50.0) | python3-gbulb,
 python3-setuptools,
 python3-systemd,
Standards-Version: 3.9.5
Homepage: https://www.qubes-os.org/
#Vcs-Git: git://github.com/QubesOS/qubes-core-admin-client.git
#Vcs-Browser: https://github.com/QubesOS/qubes-core-admin-client
X-Python3-Version: >= 3.5

Package: qubes-desktop-linux-manager
Architecture: any
Depends:
 python3-qui,
 ${misc:Depends}
Description: Qubes UI Applications
 A collection of GUI application for enhancing the Qubes UX.

Package: python3-qui
Architecture: any
Depends:
 python3-qubesadmin (>= 4.3.7),
 python3-gi,
 ${python3:Depends},
 ${misc:Depends}
Description: Qubes UI Applications
 A collection of GUI application for enhancing the Qubes UX.

## qubes-desktop-linux-manager 4.3.14

=== debian/changelog ===
qubes-desktop-linux-manager (4.3.14-1+noble1) noble; urgency=medium

  * Build for noble

 -- Builder <user@localhost>  Thu, 12 Jun 2025 10:53:34 +0200

qubes-desktop-linux-manager (4.3.14-1) unstable; urgency=medium

  [ Marta Marczykowska-Górecka ]
  * Changed VM flowbox for improved UX
  * Change global config tests to use Mock Qubes API
  * Add config for device attachments to Global Config
  * Review fixes
  * pacify black
  * Fix updater tests for new mocks
  * Last round of review fixes

  [ Marek Marczykowski-Górecki ]
  * Bump required qubes-core-admin-client version
  * Add note about black line length

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Thu, 12 Jun 2025 10:53:34 +0200

## qubes-desktop-linux-manager 4.3.15

=== debian/changelog ===
qubes-desktop-linux-manager (4.3.15-1+jammy1) jammy; urgency=medium

  * Build for jammy

 -- Builder <user@localhost>  Wed, 16 Jul 2025 03:54:18 +0200

qubes-desktop-linux-manager (4.3.15-1) unstable; urgency=medium

  [ Marek Marczykowski-Górecki ]
  * Update updater tests

  [ Marta Marczykowska-Górecka ]
  * Add cairo-devel dependency to CI
  * Show a "saving changes" dialog when saving changes in global config
  * More flexible behavior for async behavior

  [ Ali Mirjamali ]
  * Add conspicuous EOL indicator for dom0

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Wed, 16 Jul 2025 03:54:18 +0200

=== debian/control ===
--- 
+++ 
@@ -26,7 +26,7 @@
 Package: python3-qui
 Architecture: any
 Depends:
- python3-qubesadmin (>= 4.3.7),
+ python3-qubesadmin (>= 4.3.17),
  python3-gi,
  ${python3:Depends},
  ${misc:Depends}

## qubes-desktop-linux-manager 4.3.16

=== debian/changelog ===
qubes-desktop-linux-manager (4.3.16-1+noble1) noble; urgency=medium

  * Build for noble

 -- Builder <user@localhost>  Sun, 20 Jul 2025 23:13:14 +0200

qubes-desktop-linux-manager (4.3.16-1) unstable; urgency=medium

  [ Marta Marczykowska-Górecka ]
  * Use new API in the Devices Widget
  * Add 'start sys-usb' if sys-usb is not running to qui-devices
  * Make devices widget faster by batching some operations
  * Stop relying on device-list-change in device widget

  [ Marek Marczykowski-Górecki ]
  * Require python3-qubesadmin >= 4.3.19

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sun, 20 Jul 2025 23:13:14 +0200

## qubes-desktop-linux-manager 4.3.17

=== debian/changelog ===
qubes-desktop-linux-manager (4.3.17-1+noble1) noble; urgency=medium

  * Build for noble

 -- Builder <user@localhost>  Fri, 08 Aug 2025 19:38:49 +0200

qubes-desktop-linux-manager (4.3.17-1) unstable; urgency=medium

  [ Ben Grande ]
  * Add preload disposable setting to global config
  * Notify usage of preloaded disposable

  [ Marek Marczykowski-Górecki ]
  * CI: add cairo-devel to pylint job too

  [ Ben Grande ]
  * Hide internal qubes from device attachment

  [ Marek Marczykowski-Górecki ]
  * ci: add missing dependencies

  [ Ben Grande ]
  * Add preload memory threshold spin button

  [ Yanase Yuki ]
  * optimize SVG icons

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Fri, 08 Aug 2025 19:38:49 +0200

## qubes-desktop-linux-manager 4.3.18

=== debian/changelog ===
qubes-desktop-linux-manager (4.3.18-1+noble1) noble; urgency=medium

  * Build for noble

 -- Builder <user@localhost>  Tue, 26 Aug 2025 04:44:07 +0200

qubes-desktop-linux-manager (4.3.18-1) unstable; urgency=medium

  [ Marta Marczykowska-Górecka ]
  * Fix a qui-clipboard crash

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Tue, 26 Aug 2025 04:44:07 +0200

## qubes-desktop-linux-manager 4.3.19

=== debian/changelog ===
qubes-desktop-linux-manager (4.3.19-1+deb13u1) trixie; urgency=medium

  * Build for trixie

 -- Builder <user@localhost>  Thu, 18 Sep 2025 18:05:44 +0200

qubes-desktop-linux-manager (4.3.19-1) unstable; urgency=medium

  [ Ali Mirjamali ]
  * Show "List USB Devices" option if sys-usb exists

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Thu, 18 Sep 2025 18:05:44 +0200

## qubes-desktop-linux-manager 4.3.20

=== debian/changelog ===
qubes-desktop-linux-manager (4.3.20-1+deb13u1) trixie; urgency=medium

  * Build for trixie

 -- Builder <user@localhost>  Sat, 04 Oct 2025 13:45:50 +0200

qubes-desktop-linux-manager (4.3.20-1) unstable; urgency=medium

  [ Marta Marczykowska-Górecka ]
  * Fix fail to start on assignemnt of nonexistent device

  [ Ben Grande ]
  * Skip preloads and dom0 on unpause all action

  [ Marta Marczykowska-Górecka ]
  * Enable GUI for setting updateproxy for standaloneVMs

  [ Marek Marczykowski-Górecki ]
  * Adjust formating
  * ci: install cairo-gobject-devel in the container

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sat, 04 Oct 2025 13:45:50 +0200

## qubes-desktop-linux-manager 4.3.21

=== debian/changelog ===
qubes-desktop-linux-manager (4.3.21-1+deb13u1) trixie; urgency=medium

  * Build for trixie

 -- Builder <user@localhost>  Thu, 23 Oct 2025 04:41:22 +0200

qubes-desktop-linux-manager (4.3.21-1) unstable; urgency=medium

  [ Ben Grande ]
  * Adjust number of mocked qubes

  [ Marek Marczykowski-Górecki ]
  * Fix formatting

  [ Ali Mirjamali ]
  * Global clipboard clearing option
  * Fix `qui-update` icons

  [ Marek Marczykowski-Górecki ]
  * ci: update astroid workaround for 4.0.1

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Thu, 23 Oct 2025 04:41:22 +0200

## qubes-desktop-linux-manager 4.3.22

=== debian/changelog ===
qubes-desktop-linux-manager (4.3.22-1+deb13u1) trixie; urgency=medium

  * Build for trixie

 -- Builder <user@localhost>  Mon, 03 Nov 2025 04:26:07 +0100

qubes-desktop-linux-manager (4.3.22-1) unstable; urgency=medium

  [ Marta Marczykowska-Górecka ]
  * Add option to use --force in qui-domains shutdown
  * Fix setting default updatevm/whonix updatevm to none
  * Cleanup some typing

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Mon, 03 Nov 2025 04:26:07 +0100

## qubes-desktop-linux-manager 4.3.23

=== debian/changelog ===
qubes-desktop-linux-manager (4.3.23-1+noble1) noble; urgency=medium

  * Build for noble

 -- Builder <user@localhost>  Sat, 15 Nov 2025 14:31:54 +0100

qubes-desktop-linux-manager (4.3.23-1) unstable; urgency=medium

  [ Marek Marczykowski-Górecki ]
  * qui-devices: do not crash if some properties are denied in policy

  [ Ali Mirjamali ]
  * New qube name tooltip improvement

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sat, 15 Nov 2025 14:31:54 +0100

## qubes-desktop-linux-manager 4.3.24

=== Makefile ===
default: help

help:
	@echo "Use setup.py to build"
	@echo "Extra make targets available:"
	@echo " install-autostart - install autostart files (xdg, systemd)"
	@echo " install-icons - install icons"
	@echo " install - calls both of the above (but calling setup.py is still necessary)"

install-icons:
	mkdir -p $(DESTDIR)/usr/share/icons/Adwaita/22x22/devices/
	mkdir -p $(DESTDIR)/usr/share/icons/Adwaita/22x22/status/
	cp icons/22x22/generic-usb.png $(DESTDIR)/usr/share/icons/Adwaita/22x22/devices/generic-usb.png
	cp icons/outdated.png $(DESTDIR)/usr/share/icons/Adwaita/22x22/status/
	mkdir -p $(DESTDIR)/usr/share/applications
	mkdir -p $(DESTDIR)/usr/share/icons/hicolor/16x16/apps/
	mkdir -p $(DESTDIR)/usr/share/icons/hicolor/24x24/apps/
	mkdir -p $(DESTDIR)/usr/share/icons/hicolor/32x32/apps/
	mkdir -p $(DESTDIR)/usr/share/icons/hicolor/40x40/apps/
	mkdir -p $(DESTDIR)/usr/share/icons/hicolor/48x48/apps/
	mkdir -p $(DESTDIR)/usr/share/icons/hicolor/72x72/apps/
	mkdir -p $(DESTDIR)/usr/share/icons/hicolor/96x96/apps/
	mkdir -p $(DESTDIR)/usr/share/icons/hicolor/128x128/apps/
	cp icons/16x16/qui-domains.png $(DESTDIR)/usr/share/icons/hicolor/16x16/apps/qui-domains.png
	cp icons/24x24/qui-domains.png $(DESTDIR)/usr/share/icons/hicolor/24x24/apps/qui-domains.png
	cp icons/32x32/qui-domains.png $(DESTDIR)/usr/share/icons/hicolor/32x32/apps/qui-domains.png
	cp icons/40x40/qui-domains.png $(DESTDIR)/usr/share/icons/hicolor/40x40/apps/qui-domains.png
	cp icons/48x48/qui-domains.png $(DESTDIR)/usr/share/icons/hicolor/48x48/apps/qui-domains.png
	cp icons/72x72/qui-domains.png $(DESTDIR)/usr/share/icons/hicolor/72x72/apps/qui-domains.png
	cp icons/96x96/qui-domains.png $(DESTDIR)/usr/share/icons/hicolor/96x96/apps/qui-domains.png
	cp icons/128x128/qui-domains.png $(DESTDIR)/usr/share/icons/hicolor/128x128/apps/qui-domains.png
	mkdir -p $(DESTDIR)/usr/share/icons/hicolor/scalable/apps
	cp icons/scalable/*.svg $(DESTDIR)/usr/share/icons/hicolor/scalable/apps/

install-autostart:
	mkdir -p $(DESTDIR)/etc/xdg/autostart
	cp autostart/qubes-device-agent.desktop $(DESTDIR)/etc/xdg/autostart
	cp autostart/qui-domains.desktop $(DESTDIR)/etc/xdg/autostart
	cp autostart/qui-devices.desktop $(DESTDIR)/etc/xdg/autostart
	cp autostart/qui-clipboard.desktop $(DESTDIR)/etc/xdg/autostart
	cp autostart/qui-disk-space.desktop $(DESTDIR)/etc/xdg/autostart
	cp autostart/qui-updates.desktop $(DESTDIR)/etc/xdg/autostart
	mkdir -p $(DESTDIR)/usr/share/applications
	cp desktop/qubes-update-gui.desktop $(DESTDIR)/usr/share/applications/
	mkdir -p $(DESTDIR)/usr/bin
	cp qui/widget-wrapper $(DESTDIR)/usr/bin/widget-wrapper
	mkdir -p $(DESTDIR)/lib/systemd/user/
	cp linux-systemd/qubes-widget@.service $(DESTDIR)/lib/systemd/user/
	cp desktop/qubes-global-config.desktop $(DESTDIR)/usr/share/applications/
	cp desktop/qubes-new-qube.desktop $(DESTDIR)/usr/share/applications/
	cp desktop/qubes-policy-editor-gui.desktop $(DESTDIR)/usr/share/applications/
	install -d $(DESTDIR)/usr/lib/qubes -m 0755
	install -m 0755 qui/devices/qubes-device-agent-autostart $(DESTDIR)/usr/lib/qubes/qubes-device-agent-autostart

install-lang:
	mkdir -p $(DESTDIR)/usr/share/gtksourceview-4/language-specs/
	cp qubes_config/policy_editor/qubes-rpc.lang $(DESTDIR)/usr/share/gtksourceview-4/language-specs/

install: install-autostart install-icons install-lang

.PHONY: clean
clean:

=== debian/changelog ===
qubes-desktop-linux-manager (4.3.24-1+noble1) noble; urgency=medium

  * Build for noble

 -- Builder <user@localhost>  Mon, 24 Nov 2025 21:09:34 +0100

qubes-desktop-linux-manager (4.3.24-1) unstable; urgency=medium

  [ Ali Mirjamali ]
  * Make the progress page details and qube list paned
  * Fix updater glade indentation
  * ci: install cairo-gobject-devel for pylint

  [ Marta Marczykowska-Górecka ]
  * Disable trying to attach device to a blocked qube
  * Enforce icon size
  * Fix microphone saying it will attach with microphone
  * Add device class to device_id and validate features
  * Add Qubes Video Companion devices to widget
  * Hide parent device of QVC webcam
  * Add resolution settings to QCV attachment
  * Don't propose attaching device to its backend

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Mon, 24 Nov 2025 21:09:34 +0100

=== debian/control ===
--- 
+++ 
@@ -26,7 +26,7 @@
 Package: python3-qui
 Architecture: any
 Depends:
- python3-qubesadmin (>= 4.3.17),
+ python3-qubesadmin (>= 4.3.19),
  python3-gi,
  ${python3:Depends},
  ${misc:Depends}
